%define oname giw
Name: libgiw
Version: 0.2.4
Release: alt1

Summary: GTK Instrumentation Widgets

License: LGPL
Group: Development/C
Url: http://giw.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%oname/%oname-%version.tar.bz2
Patch: %name.patch

BuildPreReq: rpm-build-compat gtk-doc

# Automatically added by buildreq on Thu Jan 03 2008 (-bi)
BuildRequires: gcc-c++ glibc-devel libgtk+2-devel

%description
This GIW project seeks to provide GTK Widgets for Instrumentation and
scientific applications that requires visualization and control. Typical
widgets provided are: buttons, knobs, sliders, gauges, leds,
plotdisplay. They can be used together with comedi to enable a handy
graphical solution for data acquisition and control. This is free library
licensed under GPL.

%package devel
Summary: Development files for %name
Group: Development/C

%description devel
This package contains development files required
in development of the %name-based applications.


%package examples
Summary: Examples files for %name
Group: Development/C

%description examples
This package contains examples files
of the %name-based applications.

%prep
%setup -q -n %oname-%version
%patch

%build
%__autoreconf
%configure --disable-static

%install
%makeinstall_std giwdocdir=%_docdir/%name-devel-%version

%files
%doc AUTHORS NEWS README ChangeLog
%_libdir/*.so.*

%files devel
%_docdir/%name-devel-%version
%_gtkdocdir/%name/
%_includedir/%oname/
%_pkgconfigdir/*
%_libdir/*.so
%_bindir/*
#%files examples

%changelog
* Thu Jan 03 2008 Vitaly Lipatov <lav@altlinux.ru> 0.2.4-alt1
- initial build for ALT Linux Sisyphus

